#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModSidfmHosts2 < ActiveRecord::Migration
  def change

    reversible do |dir|
      change_table :sidfm_hosts do |t|
        dir.down {
          t.remove :pkg_product_id
          t.integer :sidfm_os_id
          t.integer :sidfm_osver_id
        }
        dir.up {
          t.string :pkg_product_id
          t.remove :sidfm_os_id
          t.remove :sidfm_osver_id
        }
      end
      change_table :sidfm_apps do |t|
        dir.down {
          t.integer :sidfm_app_id
          t.integer :sidfm_appver_id
          t.string :sidfm_app_unsupported
          t.remove :product_id
        }
        dir.up {
          t.remove :sidfm_app_id
          t.remove :sidfm_appver_id
          t.remove :sidfm_app_unsupported
          t.string :product_id
        }
      end
    end

  end
end
