#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class ModSidfmHosts < ActiveRecord::Migration
  def change

    reversible do |dir|
      change_table :sidfm_hosts do |t|
        dir.up {
          t.remove :sidfm_os_unsupported
          t.remove :sidfm_ostype
        }
        dir.down {
          t.string :sidfm_os_unsupported
          t.string :sidfm_ostype
        }
      end
    end

  end
end
