#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

module SIDfm

  # 開発時のデバッグ出力
  def self.logging(object = SIDfm, method = :logging, args = nil)
    if SIDfm::DEBUG then #1
      STDERR.print(Time.now.strftime('%Y/%m/%d %H:%M:%S '),
                   object.class, ' ',
                   method)
      if args then #2
        if args.respond_to?(:each) then #3
          args.each do |i| #4
            STDERR.print ' ', i.inspect
          end #4
          STDERR.puts ''
        else #3
          STDERR.puts args.inspect
        end #3
      end #2
    end #1
  end

end
