namespace :sidfm do
  desc 'testing for SIDfm'
  namespace :test do
    desc 'functional test for SIDfm'
    task :functional do
    end
    desc 'unit test for SIDfm'
    task :unit do
      ENV["RAILS_ENV"] = "test"
      Dir.glob('/var/lib/redmine/plugins/sidfm/test/unit/**/*_test.rb').entries.each do |f|
        system("bundle exec rails runner 'load \"#{f}\"'")
      end
    end
    desc 'full test for SIDfm'
    task :all do
      errors = %w(sidfm:test:functional sidfm:test:unit).collect do |task|
        begin
          Rake::Task[task].invoke
          nil
        rescue => e
          task
        end
      end.compact
      abort "Errors running #{errors.to_sentence(:locale => :en)}!" if errors.any?
    end
  end
end
